Package org.apache.solr.cluster.api

## Interface SolrCluster

All Known Implementing Classes:
  `LazySolrCluster`

    public interface SolrCluster

Represents a Solr cluster

### Method Summary

All Methods Instance Methods Abstract Methods
`SimpleMap<SolrCollection>` `collections()` collections in the cluster
`SimpleMap<SolrCollection>` `collections​(boolean includeAlias)` collections in the cluster and aliases
`SimpleMap<CollectionConfig>` `configs()` Config sets in the cluster
`SimpleMap<SolrNode>` `nodes()` nodes in the cluster
`String` `overseerNode()` Name of the node in which the overseer is running
`String` `thisNode()` The name of the node in which this method is invoked from.

### Method Detail

#### collections

    SimpleMap<SolrCollection> collections()
                                   throws SolrException

collections in the cluster

Throws:
  `SolrException`

#### collections

    SimpleMap<SolrCollection> collections​(boolean includeAlias)
                                   throws SolrException

collections in the cluster and aliases

Throws:
  `SolrException`

#### nodes

    SimpleMap<SolrNode> nodes()
                       throws SolrException

nodes in the cluster

Throws:
  `SolrException`

#### configs

    SimpleMap<CollectionConfig> configs()
                                 throws SolrException

Config sets in the cluster

Throws:
  `SolrException`

#### overseerNode

    String overseerNode()
                 throws SolrException

Name of the node in which the overseer is running

Throws:
  `SolrException`

#### thisNode

    String thisNode()

The name of the node in which this method is invoked from. returns null, if this is not invoked from a Solr node